Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlProject

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>
              com.eviware.soapui.impl.wsdl.WsdlProject

All Implemented Interfaces:
  ModelItem, Project, PropertyChangeNotifier

    public class WsdlProject

extends AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>
implements Project

WSDL project implementation

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.project.Project
`JBOSSWS_NATURE_ID, SOAPUI_NATURE_ID`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlProject()`
`WsdlProject(java.lang.String path)`
`WsdlProject(java.lang.String path, WorkspaceImpl workspace)`
`WsdlProject(java.lang.String path, WorkspaceImpl workspace, boolean create)`
`WsdlProject(WorkspaceImpl workspace)`

Method Summary
`WsdlInterface` | `addNewInterface(java.lang.String name)`
`WsdlMockService` | `addNewMockService(java.lang.String name)`
`WsdlTestSuite` | `addNewTestSuite(java.lang.String name)`
`void` | `addProjectListener(ProjectListener listener)`
`WsdlMockService` | `cloneMockService(WsdlMockService mockService, java.lang.String name)`
`WsdlTestSuite` | `cloneTestSuite(WsdlTestSuite testSuite, java.lang.String name)`
`void` | `fireInterfaceAdded(WsdlInterface iface)`
`void` | `fireInterfaceRemoved(WsdlInterface iface)`
`void` | `fireMockServiceAdded(WsdlMockService mockService)`
`void` | `fireMockServiceRemoved(WsdlMockService mockService)`
`void` | `fireTestSuiteAdded(WsdlTestSuite testSuite)`
`void` | `fireTestSuiteRemoved(WsdlTestSuite testSuite)`
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`WsdlInterface` | `getInterfaceAt(int index)`
`WsdlInterface` | `getInterfaceByBindingName(javax.xml.namespace.QName bindingName)`
`WsdlInterface` | `getInterfaceByName(java.lang.String interfaceName)`
`int` | `getInterfaceCount()`
`java.util.List<Interface>` | `getInterfaces()`
`WsdlMockService` | `getMockServiceAt(int index)`
`WsdlMockService` | `getMockServiceByName(java.lang.String mockServiceName)`
`int` | `getMockServiceCount()`
`java.util.List<MockService>` | `getMockServices()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`WsdlTestSuite` | `getTestSuiteAt(int index)`
`WsdlTestSuite` | `getTestSuiteByName(java.lang.String testSuiteName)`
`int` | `getTestSuiteCount()`
`java.util.List<TestSuite>` | `getTestSuites()`
`WorkspaceImpl` | `getWorkspace()`
`boolean` | `hasNature(java.lang.String natureId)`
`WsdlInterface` | `importInterface(WsdlInterface iface)`
`WsdlMockService` | `importMockService(WsdlMockService mockService, java.lang.String name)`
`WsdlTestSuite` | `importTestSuite(WsdlTestSuite testSuite, java.lang.String name)`
`WsdlInterface[]` | `importWsdl(java.lang.String url, boolean createRequests)`
`WsdlInterface[]` | `importWsdl(java.lang.String url, boolean createRequests, javax.xml.namespace.QName bindingName, WsdlLoader wsdlLoader)`
`WsdlInterface[]` | `importWsdl(java.lang.String url, boolean createRequests, WsdlLoader wsdlLoader)`
`boolean` | `isCacheDefinitions()`
`boolean` | `isDisabled()`
`void` | `onSave()`
`void` | `release()`
`void` | `reload()`
`void` | `reload(java.io.File file)`
`void` | `removeInterface(WsdlInterface iface)`
`void` | `removeMockService(WsdlMockService mockService)`
`void` | `removeProjectListener(ProjectListener listener)`
`void` | `removeTestSuite(WsdlTestSuite testSuite)`
`boolean` | `save()`
`boolean` | `saveTo(java.lang.String fileName)`
`void` | `setCacheDefinitions(boolean cacheDefinitions)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlProject

    public WsdlProject()
                throws org.apache.xmlbeans.XmlException,
                       java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`

### WsdlProject

    public WsdlProject(java.lang.String path)
                throws org.apache.xmlbeans.XmlException,
                       java.io.IOException,
                       SoapUIException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`
  `SoapUIException`

### WsdlProject

    public WsdlProject(WorkspaceImpl workspace)
                throws org.apache.xmlbeans.XmlException,
                       java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`

### WsdlProject

    public WsdlProject(java.lang.String path,
                       WorkspaceImpl workspace)
                throws SoapUIException

Throws:
  `SoapUIException`

### WsdlProject

    public WsdlProject(java.lang.String path,
                       WorkspaceImpl workspace,
                       boolean create)
                throws SoapUIException

Throws:
  `SoapUIException`

Method Detail

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelItem`
  Overrides:
    `getName` in class `AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelItem`
  Overrides:
    `getDescription` in class `AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>`

### getWorkspace

    public WorkspaceImpl getWorkspace()

  Specified by:
    `getWorkspace` in interface `Project`

### getInterfaceAt

    public WsdlInterface getInterfaceAt(int index)

  Specified by:
    `getInterfaceAt` in interface `Project`

### getInterfaceByName

    public WsdlInterface getInterfaceByName(java.lang.String interfaceName)

  Specified by:
    `getInterfaceByName` in interface `Project`

### getInterfaceByBindingName

    public WsdlInterface getInterfaceByBindingName(javax.xml.namespace.QName bindingName)

### getInterfaceCount

    public int getInterfaceCount()

  Specified by:
    `getInterfaceCount` in interface `Project`

### getPath

    public java.lang.String getPath()

### save

    public boolean save()
                 throws java.io.IOException

  Specified by:
    `save` in interface `Project`
  Throws:
    `java.io.IOException`

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>`

### importWsdl

    public WsdlInterface[] importWsdl(java.lang.String url,
                                      boolean createRequests)
                               throws SoapUIException

  Throws:
    `SoapUIException`

### importWsdl

    public WsdlInterface[] importWsdl(java.lang.String url,
                                      boolean createRequests,
                                      WsdlLoader wsdlLoader)
                               throws SoapUIException

  Throws:
    `SoapUIException`

### importWsdl

    public WsdlInterface[] importWsdl(java.lang.String url,
                                      boolean createRequests,
                                      javax.xml.namespace.QName bindingName,
                                      WsdlLoader wsdlLoader)
                               throws SoapUIException

  Throws:
    `SoapUIException`

### addNewInterface

    public WsdlInterface addNewInterface(java.lang.String name)

### addProjectListener

    public void addProjectListener(ProjectListener listener)

  Specified by:
    `addProjectListener` in interface `Project`

### removeProjectListener

    public void removeProjectListener(ProjectListener listener)

  Specified by:
    `removeProjectListener` in interface `Project`

### fireInterfaceAdded

    public void fireInterfaceAdded(WsdlInterface iface)

### fireInterfaceRemoved

    public void fireInterfaceRemoved(WsdlInterface iface)

### fireTestSuiteAdded

    public void fireTestSuiteAdded(WsdlTestSuite testSuite)

### fireTestSuiteRemoved

    public void fireTestSuiteRemoved(WsdlTestSuite testSuite)

### fireMockServiceAdded

    public void fireMockServiceAdded(WsdlMockService mockService)

### fireMockServiceRemoved

    public void fireMockServiceRemoved(WsdlMockService mockService)

### removeInterface

    public void removeInterface(WsdlInterface iface)

### removeTestSuite

    public void removeTestSuite(WsdlTestSuite testSuite)

### isDisabled

    public boolean isDisabled()

### getTestSuiteCount

    public int getTestSuiteCount()

  Specified by:
    `getTestSuiteCount` in interface `Project`

### getTestSuiteAt

    public WsdlTestSuite getTestSuiteAt(int index)

  Specified by:
    `getTestSuiteAt` in interface `Project`

### getTestSuiteByName

    public WsdlTestSuite getTestSuiteByName(java.lang.String testSuiteName)

  Specified by:
    `getTestSuiteByName` in interface `Project`

### addNewTestSuite

    public WsdlTestSuite addNewTestSuite(java.lang.String name)

  Specified by:
    `addNewTestSuite` in interface `Project`

### cloneTestSuite

    public WsdlTestSuite cloneTestSuite(WsdlTestSuite testSuite,
                                        java.lang.String name)

### isCacheDefinitions

    public boolean isCacheDefinitions()

### setCacheDefinitions

    public void setCacheDefinitions(boolean cacheDefinitions)

### saveTo

    public boolean saveTo(java.lang.String fileName)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### release

    public void release()

  Specified by:
    `release` in interface `Project`
  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.ProjectConfig>`

### cloneMockService

    public WsdlMockService cloneMockService(WsdlMockService mockService,
                                            java.lang.String name)

### addNewMockService

    public WsdlMockService addNewMockService(java.lang.String name)

  Specified by:
    `addNewMockService` in interface `Project`

### getMockServiceAt

    public WsdlMockService getMockServiceAt(int index)

  Specified by:
    `getMockServiceAt` in interface `Project`

### getMockServiceByName

    public WsdlMockService getMockServiceByName(java.lang.String mockServiceName)

  Specified by:
    `getMockServiceByName` in interface `Project`

### getMockServiceCount

    public int getMockServiceCount()

  Specified by:
    `getMockServiceCount` in interface `Project`

### removeMockService

    public void removeMockService(WsdlMockService mockService)

### getTestSuites

    public java.util.List<TestSuite> getTestSuites()

  Specified by:
    `getTestSuites` in interface `Project`

### getMockServices

    public java.util.List<MockService> getMockServices()

  Specified by:
    `getMockServices` in interface `Project`

### getInterfaces

    public java.util.List<Interface> getInterfaces()

### reload

    public void reload()
                throws SoapUIException

  Throws:
    `SoapUIException`

### reload

    public void reload(java.io.File file)
                throws SoapUIException

  Throws:
    `SoapUIException`

### hasNature

    public boolean hasNature(java.lang.String natureId)

  Specified by:
    `hasNature` in interface `Project`

### importInterface

    public WsdlInterface importInterface(WsdlInterface iface)

### importTestSuite

    public WsdlTestSuite importTestSuite(WsdlTestSuite testSuite,
                                         java.lang.String name)

### importMockService

    public WsdlMockService importMockService(WsdlMockService mockService,
                                             java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.